#
# spec file for package rubygem-activejob-5_1
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-activejob-5_1
Version:        5.1.7
Release:        15.1
%define mod_name activejob
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -5_1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.2.2}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
Url:            http://rubyonrails.org
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Job framework with pluggable queues
License:        MIT
Group:          Development/Languages/Ruby

%description
Declare job classes that can be run by a variety of queueing backends.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md MIT-LICENSE README.md" \
  -f

%gem_packages

%changelog
* Fri Mar 29 2019 coolo@suse.com
- updated to version 5.1.7
  see installed CHANGELOG.md
  [#]# Rails 5.1.7 (March 27, 2019) ##
  * No changes.
* Thu Mar 14 2019 coolo@suse.com
- updated to version 5.1.6.2
  see installed CHANGELOG.md
  [#]# Rails 5.1.6.2 (March 11, 2019) ##
  * No changes.
* Sat Dec  8 2018 coolo@suse.com
- updated to version 5.1.6.1
  see installed CHANGELOG.md
  [#]# Rails 5.1.6.1 (November 27, 2018) ##
  * Do not deserialize GlobalID objects that were not generated by Active Job.
    Trusting any GlobaID object when deserializing jobs can allow attackers to access
    information that should not be accessible to them.
    Fix CVE-2018-16476.
  * Rafael Mendonça França*
* Fri Mar 30 2018 factory-auto@kulow.org
- updated to version 5.1.6
  see installed CHANGELOG.md
  [#]# Rails 5.1.6 (March 29, 2018) ##
  * No changes.
* Thu Feb 15 2018 factory-auto@kulow.org
- updated to version 5.1.5
  see installed CHANGELOG.md
  [#]# Rails 5.1.5 (February 14, 2018) ##
  * Gemfile for new apps: upgrade redis-rb from ~> 3.0 to 4.0.
  * Jeremy Daer*
* Mon Sep 11 2017 enavarro@suse.com
- Update to version 5.1.4
* Wed Aug  9 2017 cbruckmayer@suse.com
- Update to version 5.1.3
* Fri Aug 12 2016 coolo@suse.com
- updated to version 5.0.0.1
  see installed CHANGELOG.md
* Mon Jul  4 2016 coolo@suse.com
- updated to rails 5.0 - see http://weblog.rubyonrails.org/2016/6/30/Rails-5-0-final/
* Tue Mar  8 2016 coolo@suse.com
- updated to version 4.2.6
  see installed CHANGELOG.md
  [#]# Rails 4.2.6 (March 07, 2016) ##
  * No changes.
* Tue Mar  1 2016 coolo@suse.com
- updated to version 4.2.5.2
  see installed CHANGELOG.md
  [#]# Rails 4.2.5.2 (February 26, 2016) ##
  * No changes.
  [#]# Rails 4.2.5.1 (January 25, 2015) ##
  * No changes.
* Tue Jan 26 2016 coolo@suse.com
- updated to version 4.2.5.1
  see installed CHANGELOG.md
* Fri Nov 13 2015 coolo@suse.com
- updated to version 4.2.5
  see installed CHANGELOG.md
  [#]# Rails 4.2.5 (November 12, 2015) ##
  * No changes.
* Tue Aug 25 2015 coolo@suse.com
- updated to version 4.2.4
  see installed CHANGELOG.md
  [#]# Rails 4.2.4 (August 24, 2015) ##
  * Include I18n.locale into job serialization/deserialization and use it around
    `perform`.
    Fixes #20799.
  * Johannes Opper*
* Fri Jun 26 2015 coolo@suse.com
- updated to version 4.2.3
  see installed CHANGELOG.md
  [#]# Rails 4.2.3 (June 25, 2015) ##
  * `assert_enqueued_jobs` and `assert_performed_jobs` in block form use the
    given number as expected value. This makes the error message much easier to
    understand.
  * y-yagi*
* Wed Jun 17 2015 coolo@suse.com
- updated to version 4.2.2
  see installed CHANGELOG.md
  [#]# Rails 4.2.2 (June 16, 2015) ##
  * No Changes *
* Sun Mar 22 2015 coolo@suse.com
- updated to version 4.2.1
  Allow keyword arguments to be used with Active Job.
    Fixes #18741.
* Wed Jan 28 2015 adrian@suse.de
- initial package
